Windowsでmdファイルを「JetBrainsのTOOLBOXから起動するIntelliJ IDEA」に関連付けたい

投稿者: Anonymous Windowsのエクスプローラでmdファイルをダブルクリックすると最新のIntelliJ IDEAが立ち上がるようにしたいです。 IntelliJ IDEAをTOOLBOXでupdateすると、update後のIDEAのパスが変わってしまい、update後のIDEAが起動できません。 どなたか解決の方法、よいアイデアがあればお教しえください。 IntelliJ IDEA単体でインストールすれば問題自体は解決すると思いますが、できればTOOLBOX経由で使いたいです。 解決 自己回答です。 TOOLBOXでインストールしたIntelliJ IDEAのパスの確認方法 TOOLBOXで表示される「IntelliJ IDEA」のアイコン(六角ナット)をクリックし、Settingsを選択します。 install locationの欄にパスが表示されます。showのリンクをクリックするとエクスプローラでファルダが開きます。 ファイルの関連付け エクスプローラでmdファイルのプロパティを開き、プログラムの変更でパスを指定すればmdファイルを関連付けられます。※GUIでファイルの関連付けをする一般的な方法です。 直接インストールしたIntelliJ IDEAをTOOLBOXから起動 TOOLBOXのメニューのManually Installedに直接インストールしたIntelliJ IDEAが出てきました。これをクリックすると起動することができました。 最新版のIntelliJ IDEA バージョンアップでIntelliJ IDEAのパスが変わります。最新版のラッパがないかと期待して探してみましたがありませんでした(もしあればそれを関連付けする)。 今のところパスが変わったら、パスを調べてファイルの関連付けをやり直すしか方法はなさそうです。 回答者: Anonymous

Rubymineで、cmd + / を押してのコメントアウト時、先頭にスペースを入れたい

投稿者: Anonymous 他のエディタでは当たり前のことなのですが、、 puts “Hello World!” という行でcmd + / を押すと、 #puts “Hello World!” となり、#の後に半角スペースが入りません。 細かいことですがコーディング規約に反するので、このようにスペースを入れるようにしたいのです。 # puts “Hello World!” 方法をご教授頂けると幸いです。よろしくお願い致します。 解決 That’s a known problem (https://youtrack.jetbrains.com/issue/RUBY-25454) and it should be fine starting from 2019.3.2 Preview (2019.3.2 RC is available at https://confluence.jetbrains.com/display/RUBYDEV/Early+Access+Program) Google Translate -> Japanese: それは既知の問題です https://youtrack.jetbrains.com/issue/RUBY-25454 2019.3.2 Preview (2019.3.2 RCは https://confluence.jetbrains.com/display/RUBYDEV/Early+Access+Program で利用可能です) からは問題ないはずです 回答者:…(Continue Reading)

Mavenで管理しているプロジェクトに.jarファイルを追加する方法

投稿者: Anonymous お世話になっております。 Javaで形態素解析をしています。使用しているツールはKuromojiです。 https://github.com/atilika/kuromoji このページにあるようにpom.xmlに <dependency> <groupId>com.atilika.kuromoji</groupId> <artifactId>kuromoji-ipadic</artifactId> <version>0.9.0</version> </dependency> を書いてプロジェクトでKuromojiを使っています。 また、一人での作業ではなくチームで作業しています。 形態素解析の辞書は最新のものを使いたいことからmecab-ipadic-neologdを使いたいと思っています。 https://github.com/neologd/mecab-ipadic-neologd これはmecab用ですので、次のビルドスクリプトを使って.jarファイルを作りました。 https://github.com/kazuhira-r/kuromoji-with-mecab-neologd-buildscript Mavenでインストールされたのは次の2つですが com.atilika.kuromoji:kuromoji-core:0.9.0 com.atilika.kuromoji:kuromoji-ipadic:0.9.0 IDE(IntelliJ IDEA)のProject Structureからkuromoji-ipadic:0.9.0を削除して、先程ビルドスクリプトで作った.jarファイルを追加すると新しい辞書が使えます。 問題は自分のローカルの環境だけ新しい辞書するのではなく、開発チーム全体でkuromoji-ipadic:0.9.0を使いたいのですが、そのやり方がわかりません。 mvn install:install-file -Dfile=/path/to/mecab-ipadic-NEologd_kuromoji/kuromoji-with-mecab-neologd-buildscript/kuromoji-ipadic-neologd-0.9.0-20170508.jar -DgroupId=com.atilika.kuromoji -DartifactId=kuromoji-ipadic -Dversion=0.9.0 -Dpackaging=jar -DgeneratePom=true を試したところ、どうもkuromoji-coreが消えてしまったようでうまく行きませんでした。 Mavenでこのようなこと(Kuromojiはmavenで管理できるが新しい辞書は.jarファイルを自分で作り差し替えたい)をやるにはどうしたらいいか、あるいはKuromojiで同じことを試した方がいらっしゃれば、お知恵を拝借できれば幸いです。 なおプロジェクトはSVNで共有しています。 よろしくお願いします。 解決 Mavenのインハウスリポジトリをネットワーク内に構築します。 pom.xmlにそのリポジトリの場所を追加することで、開発チーム全体でプロジェクト固有のJARファイルを利用できます。 インハウスリポジトリを構築するツールはいくつかあります。 Artifactory Nexus リポジトリを構築し、そこへJARファイルをデプロイします。 プロジェクトメンバーはpom.xmlに<dependency>を記述し、Mavenセントラルリポジトリからダウンロードする他のライブラリと同じように、インハウスリポジトリからプロジェクト固有のJARファイルをダウンロードします。 私はArtifactoryを使っています。有償版とOSS版がありますのでご注意ください。 https://www.jfrog.com/open-source/ ダウンロードして、サーバに構築します。 https://www.jfrog.com/confluence/display/RTF/Installing+Artifactory#InstallingArtifactory-InstallingArtifactory そして、作成したJARをインハウスリポジトリにデプロイします。さまざまなデプロイ手段があります。ここではWebからデプロイします。 http://localhost:8080/artifactory/webapp/#/artifacts/browse/tree/General/libs-snapshot-local デフォルトの管理者アカウントは、Username: admin、Password: passwordです。 localhost:8080/artifactoryは構築したものに合わせて適宜書き換えてください。libs-snapshot-localはArtifactoryでライブラリのスナップショットをデプロイするリポジトリです。 Deployボタンを押し、JARファイルをアップロードします。完了すると、左ペインのTreeからそのJARを選択します。Dependency…(Continue Reading)

IDEAでKotlinのBool変数を反転させるコードを書くと”Redundant ‘if’ statement”という提案が表示される

投稿者: Anonymous 環境 IntelliJ IDEA 2017.3.4 Kotlin 1.2.30 Windows 10 64bit 下記のようなBool値を反転させるコードを書くと、Redundant ‘if’ statementという提案が表示されます。 class Foo { private var boolVar = false fun doSomething() { if (boolVar) { boolVar = false } else { boolVar = true } } } 提案の詳細は下記の通りです。 Redundant ‘if’ statement Reports if statements which can be simplified to single statements. For…(Continue Reading)

IntelliJ IDEA の File Watcher で typescript を階層を維持してはき出したい

投稿者: Anonymous 動画を参考にしたり、 Youtube: TypeScript Project Structure using File Watchers 「File Watcher」 の設定画面より Arguments 部分を下記に設定したりしていろいろ試したのですが、空ファイルで出力されてしまったり、特定ファイル以外はうまくはきだせないなど。うまくいく設定が見つかりませんでした。 –out $ProjectFileDir$/public/js/$FileDirPathFromParent(typescript)$$FileNameWithoutExtension$.js $FileDirName$/$FileName$ –module amd –outDir $ProjectFileDir$/public/js/ –module amd 階層維持してはき出すことができる設定方法はあるでしょうか? ※ 追記内容 たとえば階層が下記の様になっていて、 require.js などを使って 1.ts のファイルを 2.ts に import などしている場合にうまく吐き出すことができませんでした。 その場合に動画のとおりにコンパイルすると、他の ts ファイルを認識していないためか、エラーが起きてしまいました。 そのため1階層上でコンパイルをしてすべての typescript を認識させた上で階層をたどってコンパイルするために、上記のような記述方法をしていました。 app └─ public ├─ js | ├─ dir1 | | └─ 1.js |…(Continue Reading)

IntelliJ IDEAにおいてRuby2.0の記法を使うとエディタ上にエラー表示される

投稿者: Anonymous IntelliJ IDEAを使用しRubyプログラムを行っています。 Ruby2.0からサポートされた記法がエディタ上でエラー表示されてしまい、これを解消できず困っています。 rbenvを用いてruby2.1.5をインストールし、rbenvのインストールディレクトリをプロジェクトのsdkに指定 しています。 エラー箇所 キーワード引数の記述箇所 エラー内容 Named arguments are only supported by Ruby2.0 and RubyMotion projects プロジェクト設定内容 Project Structure -> Project Settings -> Project SDK -> rbenv: 2.1.5 Project Structure -> Platform Settings -> SDKs -> rbenv: 2.1.5 Ruby interpreter path -> /home/xxxxx/.rbenv/versions/2.1.5/bin/ruby Language level -> 2.1 Gems bin directory ->…(Continue Reading)

IntelliJで括弧の中身を入力した後エンターキーで自動でカーソルを括弧の外に移動させたい

投稿者: Anonymous Eclipseでは例えば  new int[n]; の[n]の部分を入力するとき、”[“を入力すれば  [!] (!がカーソル位置) と括弧閉じまで補完され、サイズnを入力してエンターキーを押すと  [n]! と自動でカーソル位置を括弧の外に出してくれていました。 Intellijで同じ操作をすると、括弧閉じの補完までは同じですが、  [n  ]! とカーソル位置そのままで改行されてしまうので、毎回nと入力したあと→キーでカーソルを手動で移動させています。 この操作が煩わしいので省きたいのですが、ここの挙動をEclipseと同じようにする設定やショートカットはありますか? 解決 KeyMap設定にある Editor Actions > Complete Current Statement がまさにそれでしょうか。 macOSでIDEA標準配列の場合⌘cmd+⇧shift+return、Windowsの場合も同様にctrl+shift+enterのようです。 回答者: Anonymous

IdeaVimでのウインドウサイズの変更方法

投稿者: Anonymous 環境 Windows 10 IntelliJ IDEA 2017.1.4 IdeaVim 0.48 vimでは下記のようなキーマップを設定し、ウインドウサイズの調整を行っています。 nnoremap <S-j> <C-w>10- nnoremap <S-k> <C-w>10+ nnoremap <S-l> <C-w>10> nnoremap <S-h> <C-w>10< しかしこの設定はIdeaVimでは動作しませんでした。設定方法はないでしょうか? :actionでIDEの機能を呼び出せるようなので(:action GotoClass 等)、何らかのactionを使えば実現できそうなのですが。 解決 どっちもできません。 IdeaVIMには<C-W +>や<C-W ->は未実装で,IntelliJはエディタのリサイズをコマンドでできません(アクティブなツールウィンドウをリサイズするStrech to Left/Right/Top/Bottomしかないです)。 回答者: Anonymous

IntelliJIDEA14でRuby on Rails上のRSpecを実行する方法

投稿者: Anonymous IntelliJIDEAでRuby on RailsプロジェクトのRSpecを実行する方法が分からなくて困っています。 どなたか、教えていただけないでしょうか? 追記 RspecをInstallしたあとでspecを右クリックからAll Spec in modelsを実行すると以下のエラーメッセージが出ます。 /Users/seijiro/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/activesupport-4.1.8/lib/active_support/dependencies.rb:247:in `require’: cannot load such file — teamcity/spec/runner/formatter/teamcity/formatter (LoadError) from /Users/seijiro/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/activesupport-4.1.8/lib/active_support/dependencies.rb:247:in `block in require’ from /Users/seijiro/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/activesupport-4.1.8/lib/active_support/dependencies.rb:232:in `load_dependency’ from /Users/seijiro/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/activesupport-4.1.8/lib/active_support/dependencies.rb:247:in `require’ from /Users/seijiro/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/rspec-core-3.1.7/lib/rspec/core/configuration.rb:1072:in `block in requires=’ from /Users/seijiro/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/rspec-core-3.1.7/lib/rspec/core/configuration.rb:1072:in `each’ from /Users/seijiro/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/rspec-core-3.1.7/lib/rspec/core/configuration.rb:1072:in `requires=’ from /Users/seijiro/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/rspec-core-3.1.7/lib/rspec/core/configuration_options.rb:103:in `block in process_options_into’ from /Users/seijiro/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/rspec-core-3.1.7/lib/rspec/core/configuration_options.rb:102:in `each’ from /Users/seijiro/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/rspec-core-3.1.7/lib/rspec/core/configuration_options.rb:102:in `process_options_into’ from /Users/seijiro/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/rspec-core-3.1.7/lib/rspec/core/configuration_options.rb:22:in…(Continue Reading)

Formatear estilo de comentarios de documentacion en Intellij Idea usando atajos de teclado

publicado por: Anonymous Planteamiento En primer lugar no encontramos en JavaDoc, en Java. Yo tengo el siguiente texto que quiero insertar como parte del JavDoc: Esto es el commentario de JavaDoc que quiero exponer en la pagina de stackverflow y que despues voy a diseñar para que sea agregado a mi proyecto personal. Pero tengo…(Continue Reading)

IntelliJで.envを開こうとするとテキストエディタが開いてしまう

投稿者: Anonymous IntelliJで.envを開こうとするとテキストエディタが開いてしまうのですが、IntelliJで.envを開きたいです。 当人、独学のため専門用語などわからないかもしれないのでステップバイステップで教えていただけると感謝します。 解決 IntelliJ公式ドキュメントに関連付けの方法が記載されておりました。こちらを参考に、 .env 拡張子で関連付けの作成をしてみてはいかがでしょうか。 ファイル・タイプの作成および登録 – 公式ヘルプ | IntelliJ IDEA 回答者: Anonymous

Java SDK 11 + Java FX: javafx.stage.Stageにアクセスできません

投稿者: Anonymous この例を参考にして、Maven + Java SDK 11 + Java FX アプリを作ってみました。 EntryPoint.java package com.example; import javafx.stage.Stage; import javafx.scene.Scene; import javafx.scene.control.Label; public class EntryPoint extends javafx.application.Application { public static void main (String[] args) { launch(); } public void start(Stage stage) { Label label = new Label(“Hello, JavaFX11!”); Scene scene = new Scene(label, 640, 480); stage.setScene(scene); stage.show();…(Continue Reading)

IntelliJ の maven プロジェクトで Main Class をマニフェストに記述する方法

投稿者: Anonymous IntelliJ でJavaアプリケーションを開発しているのですが、 mavenではない普通のプロジェクトはartifactsから生成したjarでmain classも指定でき、 実行コマンドでそのまま動作させることが出来るのですが mavenプロジェクトの場合は同じよにしてもマニフェストにMainクラスが定義されていないとエラーになり実行できません。 jarを分解して.MFを見てみても確かにメインクラスの記述が抜けていました どうすればIntelliJのMavenプロジェクトのartifactsで生成したjarのマニフェストにmain classを定義できるのでしょうか? 解決 Mavenの場合、JAR Pluginを使えばMain Classを指定できます。 Apache Maven JAR Plugin https://maven.apache.org/plugins/maven-jar-plugin/ 以下は簡単な使用例です。 ディレクトリ構成 Maven | pom.xml —src —main —java —com —harry0000 Main.java src/main/java/com/harry0000/Main.java package com.harry0000; public class Main { public static void main(String[] args) { System.out.println(“Hello, maven.”); } } pom.xml <?xml version=”1.0″ encoding=”UTF-8″?> <project xmlns=”http://maven.apache.org/POM/4.0.0″ xmlns:xsi=”http://www.w3.org/2001/XMLSchema-instance”…(Continue Reading)

PyCharmのショートカットキー`Ctrl+Shift+引用符`は、どのキーを押せばよいですか?

投稿者: Anonymous 環境 PyCharm PyCharm 2018.1.4 (Community Edition) Build #PC-181.5087.37, built on May 24, 2018 JRE: 1.8.0_152-release-1136-b39 amd64 JVM: OpenJDK 64-Bit Server VM by JetBrains s.r.o Windows 10 10.0 PC ThinkPad T460s やりたいこと ツールウィンドウを、ショートカットキーで最大化したいです。 PyCharmのキーマップを確認すると、ショートカットキーは、Ctrl+Shift+引用符でした。 (Maximize Tool Window) 質問 引用符キーは、どのキーを押せばよいのでしょうか? 二重引用符、一重引用符、バッククォートを試しましたが、ツールウィンドウは最大化されませんでした。 解決 @tanalab2 さんが仰るとおり、英語キーボード用の設定なので、キーマップを変えないと駄目みたいです。引用符は””(ダブルクォーテーション)を意味しているようですが、ダブルクォーテーションは日本語キーボードではShiftキーを押す必要があるので、キーがかぶってしまいますね。 設定は、File > Settings > Keymap で検索ウインドウに「max」と入力すると、「ツールウィンドウは最大化」が出てくるので、適当なショートカットに変えて下さい。 回答者: Anonymous

intellij の embedded terminal にて PATH を設定するには?

投稿者: Anonymous IntelliJ IDEA 15 CE を利用しはじめている者です。 Alt+F12 で埋め込み terminal 画面を開くことができますが、このターミナルでPATHを設定する方法がわからずにいます。 Windows で開発していますが、普通に開いた場合のコマンドプロンプト自体の PATH を変えたいわけではなく、この埋め込み terminal で開いた場合の PATH を独自に設定したいと考えています。 これは、どうやったら実現できますでしょうか。 解決 terminal内で下記のコマンドを実行すれば任意のパスに変更できます。 C:IdeaProjectshoge>set PATH=”設定したいパス” また、terminalを開いた時点で設定させておきたいのであれば、 File -> Settings… -> Tools -> Terminal を開き、 Shell pathに下記のように設定することでも可能です。 cmd.exe /k “set PATH=hoge” 回答者: Anonymous

IntelliJでGo Lang Pluginがで出てこない

投稿者: Anonymous IntelliJでConfigure>PluginのBrowseRepogitoryから 「Go Lang Plugin」を選択/インストールしたいのですが、 Goと打ち込んでもなにも出現しません。 調べた結果出てきた、Configure>Plugins>ManageRepogitoyへ alphaのリポジトリURLを入力するということも行ってみたのですが、 上の画像にあるようなGoのつくものは出てきたものの、GoLangは含まれていませんでした。 ↑を見る限り、そもそもURLにプラグインがないと言われているようです。 HTTPプロキシは設定済ですが、立ち上げてプラグインに繋ぐと、 以下のようなエラーが出ます。 どなたか解決策に思い当たることがあればご教授ください。 解決 ”The selected directory is not a valid home for Go SDK” というエラーワードが出てきました。 結果、appengine内のgorootフォルダのVERSIONファイルの中身が、 go1.8.3ではなく、1.8.3のみのテキストになっていたからのようでした。 回答者: Anonymous

¿Cómo configurar los atajos de teclado en intellij-idea?

publicado por: Anonymous Quiero saber si se puede configurar los atajos de teclado en intellij-idea y quisiera saber como hacerlo, eh buscado tutoriales y no puedo ver uno sobre ese tema, ya que en devc++ podía hacerlo. solución En éste enlace jetbrains.com/help/idea/mastering-keyboard-shortcuts.html, podemos encontrar las configuraciones de atajos de teclado para intellij-idea en donde dentro…(Continue Reading)

IntelliJ IDEA で自分で定義した .sh ファイル用の code snippet を登録・使用するには?

投稿者: Anonymous これまで Eclipse を使っていて、これから IntelliJ IDEA 15 CE を利用し始めようとしているものです。 プロジェクトの中にある .sh のファイルを編集するために、BashSupport プラグインをインストールして、編集してみているところなのですが、例えば if 構文などがCtrl+Spaceで補完されてくれないことに気づきました。 ないものは仕方がないだろうと、 .sh 用の snippet を自分で定義しようとしたのですが、何をどういじったらいいのかわかりません。 どうやったら、自分の .sh 用の snippet を定義・登録し、使用することができるでしょうか。 2016/01/28 追記: 先ほど確認したところ、 if 文は補完できてました。おかしいな。。 解決 Preferences -> Editor -> Live Templatesで定義できます。 右横の+ボタンから適当なTemplate Groupを作成し、その中にLive Templateを作成し、入れていきます。 このとき、初期状態ではどのファイル形式で使うLive Templateかが未定義になっています(No applicable contexts yet.というエラーが表示されます)ので、エラーの右横に表示されるDefineからファイル形式を指定します。 対象のファイル形式がない場合は、同じくPreferencesのFile Typesから追加することができます。 詳しくはヘルプを参照してください。 https://www.jetbrains.com/idea/help/live-templates.html 回答者: Anonymous

gradleプロジェクトにおいてVCSで管理するべきファイルについて

投稿者: Anonymous How to manage projects under Version Control Systems – IDEs Support (IntelliJ Platform) | JetBrainsを参考にVCSで管理するべきファイルを見繕いました。しかし、VCSの管理下から除けないいくつかのxmlファイルが.idea/以下に残ってしまいます。 ├── .idea │   ├── compiler.xml │   ├── misc.xml │   ├── modules.xml │   ├── uiDesigner.xml │   ├── vcs.xml .idea/のようなIntelliJ独自(?)のものは、できればVCSに取り込みたくないです。またこちらの.gitignoreを見ると、uiDesigner.xmlは実際に無視してしまっても構わないようです。 そこで質問ですが、 1. これらのxmlファイルの役割は何でしょうか? 2. これらのxmlファイル、あるいは.idea/そのものをVCSの管理から外してもよいのでしょうか? 解決 compiler.xml コンパイラの設定ファイル アノテーションプロセッサのON/OFFの設定もあるので共有しても良いと思います misc.xml これは分からないです チームメンバーの環境で競合が発生するならば除外すべきと思います modules.xml モジュールの設定 ビルドツールの設定がこのファイルに反映されるようになっている場合であれば除外すべきです。 uiDesigner.xml これは分からないです チームメンバーの環境で競合が発生するならば除外すべきと思います vcs.xml vcsの設定…(Continue Reading)

¿Cómo realizar inner join en spring boot mvc, jpa, hibernet,maven?

publicado por: Anonymous Me encuentro con un problema, el punto es que no se como realizar una consulta con inner join.Mi controller es el siguiente: Controller: @RequestMapping(value = "/juan", method = RequestMethod.POST) public String updateProduct( @RequestParam("id") int id, @RequestParam("descripcion") String descripcion, @RequestParam("price") double price) { List nombre = userRepository.userdata(1); System.out.println("aqui data " + nombre); return…(Continue Reading)

Intellij IDEAで、Kotlin Compilerの設定が反映されない

投稿者: Anonymous 以下のスクリーンショット中央の通り、KotlinをJVMにコンパイルする際のターゲットのバージョンを1.8に指定しています。 https://gyazo.com/5409c539d0d5fbee08d2806519a3e0ec この状態で、IntellijのGradleのアイコンからタスク assembleを起動しています。 しかし、実際にはターゲットに1.6が指定されているらしく、以下の通り失敗してしまいます。 > Task :compileKotlin FAILED e: ***/src/infrastructure/AwsSesClient.kt: (10, 28): Calls to static methods in Java interfaces are prohibited in JVM target 1.6. Recompile with ‘-jvm-target 1.8’ FAILURE: Build failed with an exception. 代わりに、build.gradleに以下の通り設定したらコンパイルが成功するようになりました。 tasks.withType(org.jetbrains.kotlin.gradle.tasks.KotlinCompile).all { kotlinOptions { jvmTarget = “1.8” } } Intellijの設定が機能していない理由について、ご存知の方がいらっしゃいましたらご助言いただけないでしょうか? 環境は以下の通りです。 IntelliJ IDEA 2018.3.5 (Community Edition)…(Continue Reading)

Cannot resolve symbol ‘play’のコンパイルエラーを解決したい

投稿者: Anonymous Javaでplayframeworkの勉強をしています。IDEはIntelliJを使っています。 質問なのですが、結論から言うと、Cannot resolve symbol ‘play’のコンパイルエラーを解決したいです。 現在Controllerクラスのimport play.mvc.*;の「play」でコンパイルエラーが出ています。 インポートしてビルドするとこのようになったので、設定を調べているのですが、解決に至っていないので質問させていただきました。 まず環境は以下です。plyaframeworkとIntellJ初心者のため、バージョンの確認方法から躓いています。。 環境 MacOS High Sierra 10.13.6 jdk-14.0.1 IntellijJ IDEA 2020.1.2(community無償版) (prayframeworkのバージョン確認方法が確信が持てず。。) version := “1.0-SNAPSHOT” scalaVersion := “2.13.2”(built.sbtより) activator-launch-1.3.5.jar このページを参考にプログラムを作っています。 https://furiblog.com/programming-java-play-setup 以下のようにIntelliJにインポートするとControllerクラスでコンパイルエラーが起きており、playやControllerなどがエラーになっています。 localhost:9000につなぐと実行できて表示できるのですが、このコンパイルエラーが気持ち悪いです。 もしわかる方がいれば教えていただけないでしょうか? 解決 .ideaディレクトリを削除し、ビルドし直すとコンパイルエラーが解消されました。プロジェクト固有情報やライブラリ情報が入っているディレクトリになります。 詳しくは左下のBuildタブから前回のビルドを選択し、Reloadをしました。 回答者: Anonymous

IntelliJ14でGolang PluginがGOROOT, GOPATHを認識しない

投稿者: Anonymous IntelliJ IDEA 14 でgolang pluginを使おうとしているのですが、以下のエラーが消せません。 類似の問題がネットで多数ありましたが、どれも解決されませんでした。 当方環境 MacOSX 10.10.3 echo $GOROOT -> /Users/otiai10/.go (ソースから入れたもの) echo $GOPATH -> /Users/otiai10/proj/go sudo launchctl getenvでも同様のpathが得られます 大変お恥ずかしいのですが、ご助言いただけると幸いですmm 解決 カスタムでplugin repositoryを参照する必要がありました。詳細は以下にまとめました。 http://otiai10.hatenablog.com/entry/2015/06/02/224636 お騒がせして申し訳ありませんでした。 回答者: Anonymous

Playframework2.3をIntelliJ IDEA14経由でRunするとエラーが出て起動できない

投稿者: Anonymous Playframework2.3(Scala)のプロジェクトをIntelliJ IDEA14経由でRunすると以下のエラーが出て起動ができません。 ※IDEA13ならば問題なく動作しました 調べるとSbtが怪しそうな気がするのですが… どなたか対処法をご存じないでしょうか? /Library/Java/JavaVirtualMachines/jdk1.7.0_71.jdk/Contents/Home/bin/java -Dfile.encoding=UTF8 -Djline.terminal=none -Dsbt.log.noformat=true -Dsbt.global.base=/private/var/folders/9k/hkj6fc4d2f91tjk31kwk68p40000gn/T/sbt-global-plugin0stub -Xms512M -Xmx1024M -Xss1M -XX:+CMSClassUnloadingEnabled -XX:MaxPermSize=256M -classpath “/Users/seijiro/Library/Application Support/IntelliJIdea14/Scala/launcher/sbt-launch.jar” xsbt.boot.Boot “project project_name” ~run [info] Loading project definition from /Users/seijiro/Dropbox/Develop/Project/project_name/project_name/project [info] Updating {file:/Users/seijiro/Dropbox/Develop/Project/project_name/project_name/project/}project_name-build… [info] Resolving com.typesafe.play#sbt-plugin;2.3.7 … [info] Resolving com.typesafe.play#build-link;2.3.7 … [info] Resolving com.typesafe.play#play-exceptions;2.3.7 … [info] Resolving org.javassist#javassist;3.18.2-GA … [info] Resolving com.typesafe.play#routes-compiler_2.10;2.3.7 … [info] Resolving…(Continue Reading)